import { Translations } from '@shopify/theme-check-common';
import { AugmentedSourceCode } from './documents';
import { Dependencies } from './types';
export type GetTranslationsForURI = (uri: string) => Promise<Translations>;
export declare const PluralizedTranslationKeys: readonly ["one", "few", "many", "two", "zero", "other"];
export type PluralizedTranslation = {
    [key in (typeof PluralizedTranslationKeys)[number]]?: string;
};
export declare function useBufferOrInjectedTranslations(getDefaultTranslationsFactory: Dependencies['getDefaultTranslationsFactory'], theme: AugmentedSourceCode[], rootURI: string): Promise<any>;
export declare function renderKey(translation: PluralizedTranslation, key: keyof PluralizedTranslation): string | undefined;
export declare function renderTranslation(translation: string | PluralizedTranslation): string;
export declare function translationValue(path: string, translations: Translations): undefined | string | PluralizedTranslation;
